[API]
GetMenuStringA
GetMenuStringW

[INCLUDE]
GenericInit

[CODE]
Public Function LoadResEx_Menu_GetCaption(ByVal hMenu As Long, ByVal MenuID As Long) As String
  If IsUnicode Then
    MenuID = GetMenuStringW(hMenu, MenuID, ptrTemp, ptrTempSizeXW, 0&)
    Else
    MenuID = GetMenuStringA(hMenu, MenuID, ptrTemp, ptrTempSizeX, 0&)
    End If
  If Not MenuID = 0& Then LoadResEx_Menu_GetCaption = PeekS(ptrTemp, MenuID)
  End Function
